<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>12.4 Closing Files</title>
<link href="sx12c.html" rev=precedes>
<link href="sx12e.html" rel=precedes>
<link href="sx12.html" rev=subdocument>
</head>
<body>
<H2>12.4 Closing Files</H2>

<p>Although you can
open multiple files,

there's a limit to how many you can have open at once.
If your program will open many files in succession,
you'll want to close each one as you're done with it;
otherwise the standard I/O library could run out of
the resources it uses to keep track of open files.
Closing a file simply involves
calling <TT>fclose</TT> with the file pointer as its argument:
<pre>
	fclose(fp);
</pre>
Calling <TT>fclose</TT> arranges that
(if the file was open for output)
any last, buffered output is finally written to the file,
and that those resources used by the operating system
(and the C library)
for this file are released.
If you forget to close a file,
it will be closed automatically when the program exits.


</p><hr>
<p>
Read sequentially:
<a href="sx12c.html" rev=precedes>prev</a>
<a href="sx12e.html" rel=precedes>next</a>
<a href="sx12.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995-1997
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
